<app-menu></app-menu>
<div class="container">
    <form  class="mat-dialog-content" id="idFormProveedor" [formGroup]="formsRegistra" >
      <div class="row">
            <mat-toolbar color="warn" >    
              <span>Registro de Proveedor</span>    
            </mat-toolbar>  
      </div>
      <div  class="row"  style="margin-top: 3%">
                <mat-form-field class="col-md-8">
                    <mat-label>Razón social</mat-label>
                    <input  matInput  [(ngModel)]="proveedor.razonsocial"  name="razonsocial" 
                            formControlName="validaRazonSocial" maxlength="30">   
                    <mat-hint style="color: red" *ngIf="formsRegistra.controls.validaRazonSocial.touched">
                        <span *ngIf="formsRegistra.controls.validaRazonSocial.hasError('required')">
                               La Razón Social es requerida 
                        </span>
                        <span *ngIf="formsRegistra.controls.validaRazonSocial.hasError('pattern')">
                               El Razón Social debe ser de 3 a 30 caracteres
                        </span>
                    </mat-hint> 
                </mat-form-field>
                <mat-form-field class="col-md-4">
                    <mat-label>RUC</mat-label>
                    <input  matInput  [(ngModel)]="proveedor.ruc" name="ruc" formControlName="validaRuc" maxlength="11">  
                    <mat-hint style="color: red" *ngIf="formsRegistra.controls.validaRuc.touched">
                        <span *ngIf="formsRegistra.controls.validaRuc.hasError('required')">
                               El RUC es requerido 
                        </span>
                        <span *ngIf="formsRegistra.controls.validaRuc.hasError('pattern')">
                               RUC = 11 dígitos (Persona Natural inicia con '10' / Persona Jurídica inicia con '20')
                        </span>
                    </mat-hint>
                </mat-form-field>
        </div>
        <div  class="row"  style="margin-top: 4%">
            <mat-form-field class="col-md-8">
                <mat-label>Dirección</mat-label>
                <input  matInput  [(ngModel)]="proveedor.direccion"  name="direccion" 
                        formControlName="validaDireccion" maxlength="30">   
                <mat-hint style="color: red" *ngIf="formsRegistra.controls.validaDireccion.touched">
                    <span *ngIf="formsRegistra.controls.validaDireccion.hasError('required')">
                           La Dirección es requerida.
                    </span>
                    <span *ngIf="formsRegistra.controls.validaDireccion.hasError('pattern')">
                           La dirección debe contener entre 3 a 30 caracteres.
                    </span>
                </mat-hint> 
            </mat-form-field>
            <mat-form-field class="col-md-4">
                <mat-label>Celular</mat-label>
                <input  matInput  [(ngModel)]="proveedor.celular" name="celular" formControlName="validaCelular" maxlength="9">  
                <mat-hint style="color: red" *ngIf="formsRegistra.controls.validaCelular.touched">
                    <span *ngIf="formsRegistra.controls.validaCelular.hasError('required')">
                           El Celular es requerido. 
                    </span>
                    <span *ngIf="formsRegistra.controls.validaCelular.hasError('pattern')">
                           El celular debe tener 9 digitos, inicia con 9.
                    </span>
                </mat-hint>
            </mat-form-field>
    </div>
    <div  class="row"  style="margin-top: 3%">
        <mat-form-field class="col-md-8">
            <mat-label>Contacto</mat-label>
            <input  matInput  [(ngModel)]="proveedor.contacto"  name="contacto" 
                    formControlName="validaContacto" maxlength="30">   
            <mat-hint style="color: red" *ngIf="formsRegistra.controls.validaContacto.touched">
                <span *ngIf="formsRegistra.controls.validaContacto.hasError('required')">
                       El nombre del contacto es requerido.
                </span>
                <span *ngIf="formsRegistra.controls.validaContacto.hasError('pattern')">
                       El nombre del contacto debe contener entre 3 a 30 caracteres.
                </span>
            </mat-hint> 
        </mat-form-field>
    </div>
        <div class="row" style="margin-top: 3%">
    
            <mat-form-field class="col-md-4">
                <mat-label>País</mat-label>
                <mat-select [(ngModel)]="proveedor.pais!.idPais" formControlName="validaPais" >
                    <mat-option value="-1"> [Seleccione] </mat-option>
                    <mat-option *ngFor="let x of lstPais"  [value]="x.idPais">
                                    {{x.nombre}}
                    </mat-option> 
                </mat-select>
                <mat-hint style="color: red" *ngIf="formsRegistra.controls.validaPais.touched">
                    <span *ngIf="formsRegistra.controls.validaPais.hasError('min')">
                           El País es requerido.
                    </span>
                </mat-hint>  
            </mat-form-field> 

            <mat-form-field class="col-md-4">
                <mat-label>Tipo de Proveedor</mat-label>
                <mat-select [(ngModel)]="proveedor.tipoProveedor!.idDataCatalogo" formControlName="validaTipoProveedor" >
                    <mat-option value="-1"> [Seleccione] </mat-option>
                    <mat-option *ngFor="let x of lstTipoProveedor"  [value]="x.idDataCatalogo">
                        {{x.descripcion}}
                    </mat-option> 
                </mat-select>
                <mat-hint style="color: red" *ngIf="formsRegistra.controls.validaTipoProveedor.touched">
                    <span *ngIf="formsRegistra.controls.validaTipoProveedor.hasError('min')">
                           El tipo de proveedor es requerido.
                    </span>
                </mat-hint>  
            </mat-form-field>

        </div>

        <div class="row" style="margin-top: 1%">
            <button mat-raised-button type="submit" color="primary" (click)="registra()">REGISTRAR</button> 
        </div>

      </form>
  </div>
